
QGIS Application - Bug report #12770

shapefile gets corrupted after editing

2015-05-19 02:32 AM - Weronika Rapa

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 20869

Description

I'm using Windows 8.1, tried few versions of QGIS and they all give me the same problem. Have no issues editing the shapefiles but then

something goes wrong when saving a shapefile and the project. The dbf gets corrupted, changes it's name to name_packed. It destroys

the edits, changing name back does not fix it, there are features missing and the attributes get completely messed up.

History

#1 - 2015-05-20 06:07 AM - Saber Razmjooei

Maybe worth providing sample data.

#2 - 2015-05-20 08:28 AM - Saber Razmjooei

- Status changed from Open to Feedback

#3 - 2015-05-21 08:53 AM - Giovanni Manghi

- Subject changed from dbf packed to shapefile gets corrupted after editing

- Category set to Digitising

are you doing concurrent editions of this shapes? are you manually editing the shapefile with a program like libre/ms office?

Please use meaningful subjects. Cheers!

#4 - 2015-06-17 06:06 AM - Weronika Rapa

No, I'm not doing any concurrent edits. It happens while saving the shapefile or sometimes when saving the project itself (when the shapefile is not even in

edit mode).

#5 - 2015-06-17 06:21 AM - Giovanni Manghi

Weronika Rapa wrote:

No, I'm not doing any concurrent edits. It happens while saving the shapefile or sometimes when saving the project itself (when the shapefile is not

even in edit mode).

does it happens with any shapefile? or just a particular one? please attach sample project/data anyway.
#6 - 2015-06-17 07:02 AM - Weronika Rapa

- File Boundary.zip added

Happened on many occasions with different shps and projects. Had no issues before I started working on new computer with Windows 8.1. 

Regarding attached data, I was working on the shapefile 'species', then the dbf got 'packed' so I lost all the attributes. Had to do typed them again as on the

shp 'species_re_done'. Sometimes apart from loosing attributes some features also disappear.

#7 - 2015-06-17 07:12 AM - Giovanni Manghi

Weronika Rapa wrote:

Happened on many occasions with different shps and projects. Had no issues before I started working on new computer with Windows 8.1. 

Regarding attached data, I was working on the shapefile 'species', then the dbf got 'packed' so I lost all the attributes. Had to do typed them again

as on the shp 'species_re_done'. Sometimes apart from loosing attributes some features also disappear.

does it happen on other computers? have you tried on a clean installation of qgis (no 3rd party plugins installed)?

#8 - 2015-06-17 07:23 AM - Weronika Rapa

Doesn't happen on other computer with Vista, I'll try on a clean installation though, thanks for suggestion!

#9 - 2015-08-25 02:19 AM - Mohamed Houd

- File mixed_columns.png added

- File Original_table.png added

- Target version set to Future Release - High Priority

I get the same problems when editing a shapefile that was created first under QGIS 2.6 and opened after with QGIS 2.8.1 same on mac with QGIS 2.8.2.

The corruption happened when i  added one column "indice ::text". The file is now corrupted and attribute table columns are now mixed up.

Please see the images linked here for more details.

#10 - 2015-12-27 01:56 PM - Giovanni Manghi

Mohamed Houd wrote:

I get the same problems when editing a shapefile that was created first under QGIS 2.6 and opened after with QGIS 2.8.1 same on mac with QGIS

2.8.2. The corruption happened when i  added one column "indice ::text". The file is now corrupted and attribute table columns are now mixed up.

Please see the images linked here for more details.

see #13298

#11 - 2015-12-27 02:00 PM - Giovanni Manghi
- Status changed from Feedback to Closed

- Resolution set to duplicate

I think that the original report/description is duplicate of #11007, that will be fixed (hopefully) in time for the next release.

Files

Boundary.zip 113 KB 2015-06-17 Weronika Rapa

mixed_columns.png 11.2 KB 2015-08-25 Mohamed Houd

Original_table.png 12.8 KB 2015-08-25 Mohamed Houd
